[SciPy-Dev] Scipy on Python 3

Bruce Southey bsouthey@gmail....
Mon Sep 13 14:32:35 CDT 2010


  On 09/11/2010 08:10 PM, Pauli Virtanen wrote:
> Hi,
>
> I flushed the Python 3 branch containing work from me and David to SVN
> trunk. Scipy now builds with Python 3, and all tests pass, except for
> scipy.weave which still needs to be ported.
>
> More testing is welcome. I suspect Scipy's test suite does not cover all
> of the code, so there might be some work left to do. You'll probably need
> the latest 1.5.x branch Numpy to build, due to some fixes in Numpy's
> distutils that are not in 1.5.0.
>
> 	Pauli
>
> _______________________________________________
> SciPy-Dev mailing list
> SciPy-Dev@scipy.org
> http://mail.scipy.org/mailman/listinfo/scipy-dev
Hi,
I checked out revision 6803 and the setup.py is missing the line (based 
on numpy's) for the 'def svn_version()' that is needed before line 82:

out = out.decode()

Let you know if or when I get any other non-weave errors.

Bruce

$ python3 setup.py build
Traceback (most recent call last):
   File "setup.py", line 82, in <module>
     FULLVERSION += svn_version()
   File "setup.py", line 68, in svn_version
     for line in out.split('\n'):
TypeError: Type str doesn't support the buffer API





More information about the SciPy-Dev mailing list